<?php
?>
<html>
	<head>
	    <title>AJAX İŞLEMLERİ</title>
		<script type="text/javascript">
		    function AjaxNesnesiOlustur(){
				var ajax=false;
				  
				  try{
					  ////firefox, chrome, opera vb.
					  ajax=new XMLHttpRequest();
					  
				  }catch(e){
					  ///IE için
						try{
								ajax=new ActiveXObject("Msxml2.XMLHTTP");
						}catch(e){	
                            try{						
								ajax=new ActiveXObject("Microsoft.XMLHTTP");
							}catch(e)
							{
								alert("Tarayıcınız AJAX'ı Desteklemiyor");								
							}
						}
						
				  }
				  
				  
				///  alert("Nesneniz = "+ajax);
			     return ajax;				
				
			}
			
			
			function AjaxNesnesiniKullan(){
				var AjaxNesnesi= AjaxNesnesiOlustur();
				if(AjaxNesnesi!=false)
				{
					
					AjaxNesnesi.onreadystatechange=function (){
						
						if(AjaxNesnesi.readyState==1)
							document.getElementById("div2").innerHTML="<img src='zamanlama.gif' />";
						if(AjaxNesnesi.readyState==4)
						{
						  
						  if(AjaxNesnesi.status==200)
						  {
							///  alert("Sonuç = "+AjaxNesnesi.responseText);
							document.getElementById("div2").innerHTML=AjaxNesnesi.responseText;
						  }else{
							  
							  alert("Ajax İşlem Sayfası Bulunamadı");
						  }
							
						}
						
						
					}
					
					////VERİ BAĞLANTI VE GÖNDERME İŞLEMLERİ
					AjaxNesnesi.open("POST","PHPAjaxSayfasi.php",true);
					AjaxNesnesi.setRequestHeader("Content-Type","application/x-www-form-urlencoded; charset=utf-8");
					AjaxNesnesi.send("adi=mutlu&soyadi=YAPICI");
					
	
				}else{
					
					alert("Ajax Nesnesi Oluşturulamadı");
				}
				
			}
		
		
		</script>
	</head>
	<body>
	     
		 <div id="div1"> Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı    Bu Kısım Asla Yenilenmeyecek Olan DİV Kısmı   </div>
		  <div id="div2"> Bu Kısım AJAX İle Güncellenecek Kısım</div>
	    <button onclick="AjaxNesnesiniKullan();"> Nesne Oluştur</button>
	
	</body>
	
</html>